curl --request PUT \
--url https://api.lilt.com/v2/jobs/{jobId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My new Job",
"due": "2021-10-05T14:48:00.000Z",
"isProcessing": "ExportError",
"processingErrorMsg": "Authentication failed. Check your Contentful API Key."
}
'import requests
url = "https://api.lilt.com/v2/jobs/{jobId}"
payload = {
"name": "My new Job",
"due": "2021-10-05T14:48:00.000Z",
"isProcessing": "ExportError",
"processingErrorMsg": "Authentication failed. Check your Contentful API Key."
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My new Job',
due: '2021-10-05T14:48:00.000Z',
isProcessing: 'ExportError',
processingErrorMsg: 'Authentication failed. Check your Contentful API Key.'
})
};
fetch('https://api.lilt.com/v2/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "My New Job",
"creationStatus": "COMPLETE",
"deliveredAt": "2021-06-03T13:43:00Z",
"status": "active",
"due": "2021-06-03T13:43:00Z",
"id": 241,
"isProcessing": 0,
"stats": {
"exactWords": 0,
"fuzzyWords": 0,
"newWords": 0,
"numDeliveredProjects": 0,
"numLanguagePairs": 0,
"numProjects": 0,
"percentReviewed": 0,
"percentTranslated": 0,
"projects": [
{
"id": 123,
"srcLang": "en",
"srcLocale": "US",
"trgLang": "fr",
"trgLocale": "CA",
"name": "My new project",
"due": "2021-10-03T13:43:00.000Z",
"isComplete": false,
"isArchived": false,
"state": "inProgress",
"numSourceTokens": 2134,
"createdAt": "2021-04-01T13:43:00.000Z",
"updatedAt": "2021-06-03T13:43:00.000Z",
"isDeleted": false,
"memoryId": 2134,
"workflowStatus": "READY_TO_START",
"workflowName": "Translate > Review > Analyst Review"
}
],
"sourceWords": 0,
"uniqueLanguagePairs": 1,
"uniqueLinguists": 1,
"workflowStatus": "READY_TO_START"
},
"domains": [
{
"id": 12,
"name": "Marketing"
}
]
}"<string>"{
"message": "Internal server error."
}Update a Job
Updates a job with the new job properties. To update a specific job, you will need the job id in the url path.
You can update job’s name and due date by passing the property and new value in the body.
Example CURL command:
curl -X PUT 'https://api.lilt.com/v2/jobs/{id}?key=API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "test job",
"due": "2022-05-05T10:56:44.985Z"
}'
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
A job id.
Body
The Job resource to update.
A name for the Job.
"My new Job"
An ISO string date.
"2021-10-05T14:48:00.000Z"
The processing status of the job. Provide one of the following integers to indicate the status.
Ok = 0 Started = 1 ExportError = -2
0, 1, -2 "ExportError"
The processing error message.
"Authentication failed. Check your Contentful API Key."
Response
A job object.
A Job is a collection of multiple Projects. Each project is specific to a language pair, and is associated with exactly one Memory for that language pair. The Memory association cannot be changed after the Project is created.
A name for the job.
"My New Job"
Status of job creation process that includes PENDING, COMPLETE, and FAILED.
"COMPLETE"
"2021-06-03T13:43:00Z"
Current status of job that includes archived, delivered, and active.
"active"
An ISO string date.
"2021-06-03T13:43:00Z"
An id for the job.
241
Values include 1 while in progress, 0 when idle and -2 when processing failed.
0
A job stats shows an overview of job's statistical data including total number of exact words, fuzzy words, language pairs, projects, etc.
Show child attributes
Show child attributes
Domains associated with this Job. Returned on the GET /v2/jobs/{jobId} response so callers can drive domain-specific behaviour (e.g. quality thresholds) without falling back to BigQuery.
Show child attributes
Show child attributes
Was this page helpful?

